{
    "compilerOptions": {
        "target": "es2017",
        "module": "commonjs",
        "lib": ["es6"],
        "outDir": "./dist",
        "types": ["reflect-metadata", "jest", "node"],
        "removeComments": true,
        "typeRoots": ["./node_modules/@types", "./src/@types"],
        "esModuleInterop": true,
        "resolveJsonModule": true,
        "experimentalDecorators": true,
        "emitDecoratorMetadata": true,
        "skipLibCheck": true,
        "forceConsistentCasingInFileNames": true,
        "moduleResolution": "node",
        "sourceMap": true,
        "strict": false,
        "baseUrl": ".",
        "paths": {
            "@gateways/*": ["./src/gateways/*"],
            "@usecases/*": ["./src/use-cases/*"],
            "@domains/*": ["./src/domains/*"],
            "@configs/*": ["./src/configs/*"],
            "@exceptions/*": ["./src/exceptions/*"]
        }
    },
    "include": ["src/**/*"],
    "exclude": ["**/*test.ts", "**/*jest.startup.ts", "**/__tests__/*"]
}
